Summary: Library for parsing, writing and creating RSS files or streams
Name: libmrss
Version: 0.19.1
Release: 1
License: GPL
Group: Development/Libraries
URL: http://www2.autistici.org/bakunin/libmrss/
Source0: http://autistici.org/bakunin/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: curl-devel, libnxml
Requires: curl, libnxml

%description
mRss is a C library for parsing, writing and creating RSS files or streams.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: curl-devel, libnxml-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp src/.libs/libmrss.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libmrss.a ./libmrss.so.0


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/*.a


%files devel
%defattr(-,root,system,0755)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Feb 27 2008 Michael Perzl <michael@perzl.org> 0.19.1-1
- First version for AIX5L v5.1 and higher
